Page MenuHomePhabricator

[MC][AArch64] Make .reloc support arbitrary relocation types
ClosedPublic

Authored by MaskRay on Mar 24 2020, 8:55 PM.

Diff Detail

Event Timeline

MaskRay created this revision.Mar 24 2020, 8:55 PM
grimar added inline comments.Mar 25 2020, 2:35 AM
llvm/lib/Target/AArch64/MCTargetDesc/AArch64AsmBackend.cpp
402–406

It looks like if (!Value) could be tested first? Value is argument and it looks a bit strange that it is tested so late to do return.

MaskRay updated this revision to Diff 252693.Mar 25 2020, 3:40 PM
MaskRay marked an inline comment as done.

Reorder code in applyFixup. Copy a comment from ARMAskBackend.cpp

This revision was not accepted when it landed; it landed in state Needs Review.Mar 27 2020, 12:36 PM
This revision was automatically updated to reflect the committed changes.